import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (p, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? m(e, s) : e, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (r = (t ? c(e, s, r) : c(r)) || r);
  return t && r && u(e, s, r), r;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--arrowOutCircle", this.class = "c-pieIcon c-pieIcon--arrowOutCircle", this.name = "IconArrowOutCircle";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--arrowOutCircle"><path d="M14.046 7.169 11.334 4.5l-.928.875 1.899 1.899H5.139v1.312h7.166l-1.899 1.908.928.927 2.712-2.712a1.111 1.111 0 0 0 0-1.54Z"></path><path d="M8.149 13.408a5.469 5.469 0 0 1 0-10.938 5.25 5.25 0 0 1 2.87.875h2.056a6.695 6.695 0 0 0-4.926-2.188 6.781 6.781 0 1 0 0 13.563 6.659 6.659 0 0 0 4.926-2.188h-2.056a5.25 5.25 0 0 1-2.87.876Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  f("icon-arrow-out-circle")
], o);
export {
  o as IconArrowOutCircle
};
